{% extends 'dashboard/property/_layout/layout_property.html.twig' %}

{% block stylesheets %}
    {{ parent() }}

    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.6.0/dist/leaflet.css"
          integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ=="
          crossorigin=""/>
{% endblock %}

{% block content_property %}
    <div class="row">
        <div class="col-12 mx-auto">
            {% embed 'dashboard/_component/flash_v2.html.twig' %}{% endembed %}

            <div class="card shadow-none border-0 border-radius-10">
                <div class="card-body">
                    <div class="row">
                        <div class="col-12 mb-3">
                            <div class="mb-3 border-bottom">
                                <small class="text-muted font-weight-light text-uppercase">Property Address</small>
                            </div>
                            <h5 class="text-dark mb-0 font-weight-bold">{{ property.address.streetAddress }}</h5>
                            <p class="mt-0 text-muted">{{ property.address.city }}, {{ property.address.zipCode }} {{ property.address.state }}</p>
                        </div>

                        <div class="col-12">
                            <div class="row">
                                <div class="col-7">
                                    <div class="mb-3 border-bottom">
                                        <small class="text-muted font-weight-light text-uppercase">Property Description</small>
                                    </div>
                                    <p>
                                        There may be delays in stats reporting. To see the most up-to-date stats please go to your live post.
                                        This view of your post may not represent exactly how it appears on Facebook's News Feed.
                                    </p>

                                    <div class="mb-3 border-bottom">
                                        <small class="text-muted font-weight-light text-uppercase">Property Location</small>
                                    </div>

                                    <div class="">
                                        <div id="user_map" style="height: 350px"></div>
                                    </div>
                                </div>
                                <div class="col-5">
                                    <div class="mb-3 border-bottom">
                                        <small class="text-muted font-weight-light text-uppercase">Property Details</small>
                                    </div>
                                    <ul>
                                        <li><b>{{ property.details.bedrooms | number_format }}</b> Bedrooms</li>
                                        <li><b>{{ property.details.fullBathrooms | number_format }}</b> Full Bathrooms</li>
                                        <li><b>{{ property.details.partialBathrooms | number_format }}</b> Half Bathrooms</li>
                                        <li><b>{{ property.details.yearBuilt | number_format }}</b> Year Built</li>
                                        <li><b>{{ property.details.lotSize | number_format }}</b> Lot Size</li>
                                        <li><b>{{ property.details.squareFootage | number_format }}</b> SqFt.</li>
                                    </ul>


                                    <div class="mb-3 border-bottom">
                                        <small class="text-muted mb-0 font-weight-light text-uppercase">Property Analysis</small>
                                        <a href="#" class="ml-3 mb-0"><i class="icon-xs text-muted mb-0 fas fa-info-circle"></i></a>
                                    </div>

                                    <div class="card-body border-bottom-dashed pt-1">
                                        <div class="earning-data text-center">
                                            <img src="{{ asset('assets/reavant/images/money-beg.png')}}" alt="" class="money-bag mb-2" height="50">
                                            <h5 class="earn-money mb-1">$51,255</h5>
                                            <p class="text-muted font-15 mb-3">Total Profit</p>
                                            <div class="text-center my-1">
                                                <h6 class="text-primary bg-soft-primary p-2 mb-0 font-11 rounded">
                                                    <i data-feather="percent" class="align-self-center icon-xs mr-1"></i>
                                                    10% Return On Investment
                                                </h6>
                                            </div>
                                        </div>
                                    </div><!--end card-body-->

                                    <div class="card-body my-1">
                                        <div class="row">
                                            <div class="col">
                                                <div class="media">
                                                    <i data-feather="dollar-sign" class="align-self-center icon-md text-secondary mr-2"></i>
                                                    <div class="media-body align-self-center">
                                                        <h6 class="m-0 font-24">325,000</h6>
                                                        <p class="text-muted mb-0">Purchase Price</p>
                                                    </div><!--end media body-->
                                                </div>
                                            </div><!--end col-->
                                            <div class="col">
                                                <div class="media">
                                                    <i data-feather="dollar-sign" class="align-self-center icon-md text-secondary mr-2"></i>
                                                    <div class="media-body align-self-center">
                                                        <h6 class="m-0 font-24">525,300</h6>
                                                        <p class="text-muted mb-0">After Refair Value</p>
                                                    </div><!--end media body-->
                                                </div>
                                            </div><!--end col-->
                                        </div><!--end row-->
                                    </div><!--end card-body-->

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}

    <script src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js"
            integrity="sha512-gZwIG9x3wUXg2hdXF6+rVkLF/0Vi9U8D2Ntg4Ga5I5BZpVkVxlJWbSQtXPSiUTtC0TjtGOmxa1AJPuV0CPthew=="
            crossorigin=""></script>

    <script>
        var mymap = L.map('user_map').setView([29.890661, -97.911530], 13);

        var marker = L.marker([29.890661, -97.911530]).addTo(mymap);

        L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5aw', {
            attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, <a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
            maxZoom: 18,
            id: 'mapbox/streets-v11',
            tileSize: 512,
            zoomOffset: -1,
            accessToken: 'pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5awn'
        }).addTo(mymap);
    </script>
{% endblock %}